import {
  createFrontmatterStore,
  createMarkdownStore
} from "./stores/markdown";
import { createPageStore } from "./stores/page";
import { createRouteStore } from "./stores/route";
const SERVER_CTX_KEY = "vitebook::server";
const RENDERERS_CTX_KEY = "vitebook::renderers";
const ROUTER_CTX_KEY = "vitebook::router";
const ROUTE_CTX_KEY = "vitebook::route";
const PAGE_CTX_KEY = "vitebook::page";
const MARKDOWN_CTX_KEY = "vitebook::markdown";
const FRONTMATTER_CTX_KEY = "vitebook::frontmatter";
function getContext(context, key) {
  return context.get(key);
}
function initAppContext() {
  const context = /* @__PURE__ */ new Map();
  const route = createRouteStore();
  const page = createPageStore();
  const markdown = createMarkdownStore(page);
  const frontmatter = createFrontmatterStore(markdown);
  context.set(ROUTE_CTX_KEY, route);
  context.set(PAGE_CTX_KEY, page);
  context.set(MARKDOWN_CTX_KEY, markdown);
  context.set(FRONTMATTER_CTX_KEY, frontmatter);
  return context;
}
export {
  FRONTMATTER_CTX_KEY,
  MARKDOWN_CTX_KEY,
  PAGE_CTX_KEY,
  RENDERERS_CTX_KEY,
  ROUTER_CTX_KEY,
  ROUTE_CTX_KEY,
  SERVER_CTX_KEY,
  getContext,
  initAppContext
};
