import { isLoadedMarkdownPage } from "../../shared";
import { get, writable } from "./store";
const store = writable();
const createPageStore = () => ({
  subscribe: store.subscribe,
  __update: store.update,
  __set: store.set
});
if (import.meta.hot) {
  import.meta.hot.on("vitebook::md_meta", ({ filePath, meta }) => {
    const page = get(store);
    if (isLoadedMarkdownPage(page) && filePath.endsWith(page.rootPath)) {
      store.update((page2) => ({ ...page2, meta }));
    }
  });
  store.subscribe((page) => {
    import.meta.hot.send("vitebook::page_change", {
      rootPath: page?.rootPath ?? ""
    });
  });
}
export {
  createPageStore
};
