const escapeMap = {
  "&": "&amp;",
  "<": "&lt;",
  ">": "&gt;",
  "'": "&#39;",
  '"': "&quot;"
};
const escapeHtmlRE = /[&<>'"]/g;
function escapeHTML(str) {
  return str.replace(escapeHtmlRE, (char) => escapeMap[char]);
}
const unescapeMap = Object.fromEntries(
  Object.entries(escapeMap).map((entries) => entries.reverse())
);
const unescapeHtmlRE = /&amp;|&lt;|&gt;|&#39;|&quot;/g;
function unescapeHTML(str) {
  return str.replace(unescapeHtmlRE, (char) => unescapeMap[char]);
}
export {
  escapeHTML,
  unescapeHTML
};
